Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.common.discovery.asm
Class ModMethodVisitor

    java.lang.Object
      org.objectweb.asm.MethodVisitor
          cpw.mods.fml.common.discovery.asm.ModMethodVisitor

    public class ModMethodVisitor

extends org.objectweb.asm.MethodVisitor

Constructor Summary
`ModMethodVisitor(String name, ASMModParser discoverer)`

Method Summary
`void` | `visitCode()`
`void` | `visitEnd()`
`void` | `visitInsn(int opcode)`
`void` | `visitLabel(org.objectweb.asm.Label label)`
`void` | `visitLdcInsn(Object cst)`

Methods inherited from class org.objectweb.asm.MethodVisitor
`visitAnnotation, visitAnnotationDefault, visitAttribute, visitFieldInsn, visitFrame, visitIincInsn, visitIntInsn, visitInvokeDynamicInsn, visitJumpInsn, visitLineNumber, visitLocalVariable, visitLookupSwitchInsn, visitMaxs, visitMethodInsn, visitMultiANewArrayInsn, visitParameterAnnotation, visitTableSwitchInsn, visitTryCatchBlock, visitTypeInsn, visitVarInsn`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModMethodVisitor

    public ModMethodVisitor(String name,
                            ASMModParser discoverer)

Method Detail

### visitCode

    public void visitCode()

  Overrides:
    `visitCode` in class `org.objectweb.asm.MethodVisitor`

### visitLdcInsn

    public void visitLdcInsn(Object cst)

  Overrides:
    `visitLdcInsn` in class `org.objectweb.asm.MethodVisitor`

### visitInsn

    public void visitInsn(int opcode)

  Overrides:
    `visitInsn` in class `org.objectweb.asm.MethodVisitor`

### visitLabel

    public void visitLabel(org.objectweb.asm.Label label)

  Overrides:
    `visitLabel` in class `org.objectweb.asm.MethodVisitor`

### visitEnd

    public void visitEnd()

  Overrides:
    `visitEnd` in class `org.objectweb.asm.MethodVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD